org.apache.fop.layoutmgr

## Class BlockKnuthSequence

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - org.apache.fop.layoutmgr.KnuthSequence
        - - org.apache.fop.layoutmgr.BlockKnuthSequence

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess
  Direct Known Subclasses:
    AbstractBreaker.BlockSequence

      public class BlockKnuthSequence
      extends KnuthSequence

  Represents a list of block level Knuth elements.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockKnuthSequence()` Creates a new and empty list.
    `BlockKnuthSequence(java.util.List list)` Creates a new list from an existing list.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `appendSequence(KnuthSequence sequence)` Append sequence to this sequence if it can be appended.
    `boolean` | `appendSequence(KnuthSequence sequence, boolean keepTogether, BreakElement breakElement)` Append sequence to this sequence if it can be appended.
    `boolean` | `canAppendSequence(KnuthSequence sequence)` Can sequence be appended to this sequence?
    `KnuthSequence` | `endSequence()` Finalizes a Knuth sequence.
    `boolean` | `isInlineSequence()` Is this an inline or a block sequence?

    - ### Methods inherited from class org.apache.fop.layoutmgr.KnuthSequence

      `appendSequenceOrClose, appendSequenceOrClose, getElement, getFirstBoxIndex, getLast, removeLast, startSequence, toString, wrapPositions`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### BlockKnuthSequence

          public BlockKnuthSequence()

      Creates a new and empty list.

    - #### BlockKnuthSequence

          public BlockKnuthSequence(java.util.List list)

      Creates a new list from an existing list.
      Parameters:
        `list` - The list from which to create the new list.

  - ### Method Detail

    - #### isInlineSequence

          public boolean isInlineSequence()

      Is this an inline or a block sequence?
      Specified by:
        `isInlineSequence` in class `KnuthSequence`
      Returns:
        true if this is an inline sequence

    - #### canAppendSequence

          public boolean canAppendSequence(KnuthSequence sequence)

      Can sequence be appended to this sequence?
      Specified by:
        `canAppendSequence` in class `KnuthSequence`
      Parameters:
        `sequence` - The sequence that may be appended.
      Returns:
        whether the sequence can be appended to this sequence.

    - #### appendSequence

          public boolean appendSequence(KnuthSequence sequence)

      Append sequence to this sequence if it can be appended.
      Specified by:
        `appendSequence` in class `KnuthSequence`
      Parameters:
        `sequence` - The sequence that is to be appended.
      Returns:
        whether the sequence was succesfully appended to this sequence.

    - #### appendSequence

          public boolean appendSequence(KnuthSequence sequence,
                                        boolean keepTogether,
                                        BreakElement breakElement)

      Append sequence to this sequence if it can be appended.
      Specified by:
        `appendSequence` in class `KnuthSequence`
      Parameters:
        `sequence` - The sequence that is to be appended.
        `keepTogether` - Whether the two sequences must be kept together.
        `breakElement` - The BreakElement that may be inserted between the two sequences.
      Returns:
        whether the sequence was succesfully appended to this sequence.

    - #### endSequence

          public KnuthSequence endSequence()

      Finalizes a Knuth sequence.
      Specified by:
        `endSequence` in class `KnuthSequence`
      Returns:
        a finalized sequence.

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.